Bug 616099 - CPUScaling is not added automatically in V7 version 7-1.2-3.
CPUScaling is not added automatically in V7 version 7-1.2-3.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 12:33 EDT by chau nguyen
Modified: 2010-11-19 10:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-19 10:42:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chau nguyen 2010-07-19 12:33:46 EDT
Description of problem:  
When the command <v7 plan> is initially run in RH6(snapshot 7) with , CPUScaling is not automatically added to the test list when
all other tests are populated


Version-Release number of selected component (if applicable):V7 7-1.2-3


How reproducible:


Steps to Reproduce:
1.  Install RH 6 snapshot 7
2.  Run the command <v7 plan>.
3.  Notice CPUScaling was not automatically added to the plan.


Actual results:  
No CPUScaling in test plan

Expected results:
Have CPUScaling in test plan


Additional info:
Comment 1 Rob Landry 2010-08-03 16:50:02 EDT
Hi Chau, can you verify if this issue is addressed in v7-1.2-14?  There are changes to the planning in the cpuscaling test which will impact this.
Comment 2 chau nguyen 2010-08-04 10:20:48 EDT
Rob,
Cpuscaling tests are showed in this version v7-1.2-14, but cpucaling tests are not in order in the test plan.  For example:

cpuscaling 0       acpi_CPU0                            - 
cpuscaling 12      acpi_CPUC                            - 
cpuscaling 8       acpi_CPU8                            - 
cpuscaling 20      acpi_CPU14                           - 
cpuscaling 4       acpi_CPU4                            - 
cpuscaling 16      acpi_CPU10                           - 
cpuscaling 2       acpi_CPU2                            - 
cpuscaling 14      acpi_CPUE                            - 
cpuscaling 10      acpi_CPUA                            - 
cpuscaling 22      acpi_CPU16                           - 
cpuscaling 6       acpi_CPU6                            - 
cpuscaling 18      acpi_CPU12                           - 
cpuscaling 1       acpi_CPU1                            - 
cpuscaling 13      acpi_CPUD                            - 
cpuscaling 9       acpi_CPU9                            - 
cpuscaling 21      acpi_CPU15                           - 
cpuscaling 5       acpi_CPU5                            - 
cpuscaling 17      acpi_CPU11                           - 
cpuscaling 3       acpi_CPU3                            - 
cpuscaling 15      acpi_CPUF                            - 
cpuscaling 11      acpi_CPUB                            - 
cpuscaling 23      acpi_CPU17                           - 
cpuscaling 7       acpi_CPU7                            - 
cpuscaling 19      acpi_CPU13                           -
Comment 3 Rob Landry 2010-11-18 16:27:26 EST
Hi Chau, fixing the ordering I think would be a different item.  The way things are added to the plan is basically FIFO so the ordering could be anything.  There was a change later in the v7-1.2 release cycle that added some ordering and may have an impact on the output in comment #2 but it wasn't meant specifically to address it.  If desired we could close this and open another bug about ordering v7 print output?
Comment 4 chau nguyen 2010-11-18 17:18:56 EST
This issue can be close.  Thank you

Note You need to log in before you can comment on or make changes to this bug.